#version 120
varying vec2 uv;
varying float light;

uniform vec4 color;
uniform float ambientLight;
uniform float intensity;

void main() {
	float val = min(1.0, ambientLight + max(0.0, intensity * light));
	gl_FragColor = vec4(val, val, val, 1.0);
}